Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Issue in Cisco 4506 and SUP7L-E

I want to run ip https server command. but this command is missing. pleae help me on this.

Switch#sh ver

Cisco IOS Software, IOS-XE Software, Catalyst 4500 L3 Switch Software (cat4500e-UNIVERSAL-M), Version 03.02.00.XO RELEASE SOFTWARE (fc2)

Technical Support: http://www.cisco.com/techsupport

Copyright (c) 1986-2011 by Cisco Systems, Inc.

Compiled Thu 22-Sep-11 19:53 by prod_rel_team

Cisco IOS-XE software, Copyright (c) 2005-2010 by cisco Systems, Inc.

All rights reserved.  Certain components of Cisco IOS-XE software are

licensed under the GNU General Public License ("GPL") Version 2.0.  The

software code licensed under GPL Version 2.0 is free software that comes

with ABSOLUTELY NO WARRANTY.  You can redistribute and/or modify such

GPL code under the terms of GPL Version 2.0.  For more details, see the

documentation or "License Notice" file accompanying the IOS-XE software,

or the applicable URL provided on the flyer accompanying the IOS-XE

software.

Image text-base: 0x100A1274, data-base: 0x13CD8B60

ROM: 15.0(1r)SG3

Jawa Revision 7, Winter Revision 0x0.0x3

Switch uptime is 2 days, 5 hours, 45 minutes

System returned to ROM by power-on

Running default software

License Information for 'WS-X45-SUP7L-E'

    License Level: entservices   Type: Permanent

    Next reboot license Level: entservices

cisco WS-C4506-E (MPC8572) processor (revision 4) with 2097152K/20480K bytes of memory.

Processor board ID SPE161500QD

MPC8572 CPU at 1.5GHz, Supervisor 7L-E

Last reset from PowerUp

1 Virtual Ethernet interface

108 Gigabit Ethernet interfaces

2 Ten Gigabit Ethernet interfaces

511K bytes of non-volatile configuration memory.

Configuration register is 0x2101

Switch#

5 REPLIES
Cisco Employee

Issue in Cisco 4506 and SUP7L-E

Hi,

The command is "ip http server", not "ip https server". Also, uif you want to use HTTPS, you should configure "ip https secure-server". See this guide for more details:

http://www.cisco.com/en/US/docs/switches/lan/catalyst4500/12.2/31sg/configuration/guide/netasist.html#wp1082328

Kind Regards,
Ivan

**Please grade this post if you find it useful.

Kind Regards, Ivan Shirshin **Please grade this post if you find it useful.
New Member

Issue in Cisco 4506 and SUP7L-E

Thanks for repying Ivan,

I have tried the ip http secure-server command but command is not recognised. below are the output of the command and available commands

Switch(config)#ip http secure-server
                         ^
% Invalid input detected at '^' marker.

Switch(config)#ip http ?
  access-class            Restrict http server access by access-class
  accounting              Set http server accounting parameters
  active-session-modules  Set up active http server session modules
  authentication          Set http server authentication method
  client                  Set http client parameters
  help-path               HTML help root URL
  max-connections         Set maximum number of concurrent http server
                          connections
  path                    Set base path for HTML
  port                    Set http server port
  server                  Enable http server
  session-module-list     Set up a http(s) server session module list
  timeout-policy          Set http server time-out policy parameters

Switch(config)#ip http

Thanks in advaince

Cisco Employee

Issue in Cisco 4506 and SUP7L-E

Hi,

According to the guide this command should be available:

http://www.cisco.com/en/US/partner/docs/switches/lan/catalyst4500/12.2/3.1.1SG/configuration/guide/webauth.html#wp1068271

Maybe you do not have a required license? Check "sh license all", please.

Kind Regards,

Ivan

**Please grade this post if you find it useful.

Kind Regards, Ivan Shirshin **Please grade this post if you find it useful.
New Member

Issue in Cisco 4506 and SUP7L-E

Thanks Ivan for your reply. issue has been solved. issue related to IOS file version. after installing correct IOS issue has been solved.. Thnaks again

Issue in Cisco 4506 and SUP7L-E

The IOS needs to be universalk9 to use https and ssh because crypto image is required.

HTH

823
Views
0
Helpful
5
Replies
CreatePlease to create content